

kernel/built-in.o(.text+0x2d538): In function `.free_module':
: undefined reference to `.stop_machine_run'
kernel/built-in.o(.text+0x2edfc): In function `.sys_init_module':
: undefined reference to `.stop_machine_run'

stop_machine_run() does not exist if !CONFIG_STOP_MACHINE

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-power4-akpm/include/linux/stop_machine.h |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletion(-)

diff -puN include/linux/stop_machine.h~fix-kallsyms-insmod-rmmod-race-fix include/linux/stop_machine.h
--- 25-power4/include/linux/stop_machine.h~fix-kallsyms-insmod-rmmod-race-fix	2005-01-28 22:15:20.430658672 -0800
+++ 25-power4-akpm/include/linux/stop_machine.h	2005-01-28 22:16:59.442606568 -0800
@@ -8,6 +8,8 @@
 #include <linux/cpu.h>
 #include <asm/system.h>
 
+#ifdef CONFIG_STOP_MACHINE
+
 #ifdef CONFIG_SMP
 /**
  * stop_machine_run: freeze the machine on all CPUs and run this function
@@ -49,4 +51,14 @@ static inline int stop_machine_run(int (
 	return ret;
 }
 #endif /* CONFIG_SMP */
-#endif /* _LINUX_STOP_MACHINE */
+
+#else	/* CONFIG_STOP_MACHINE */
+
+static inline int stop_machine_run(int (*fn)(void *), void *data,
+				   unsigned int cpu)
+{
+	return 0;
+}
+
+#endif	/* CONFIG_STOP_MACHINE */
+#endif	/* _LINUX_STOP_MACHINE */
_
